/*
/// Buttons
*/

form,body {
  --btn-bg--default: var(--base-primary);
}

button {
  border: none;
}

.btn {
  --base-sat: 20%;
  --base-light: 30%;
  display: inline-flex;
  align-items: center;
  justify-content: center;
  text-decoration: none;
  color: #fff;
  border: none;
  border-radius: .25em;
  transition: all ease 0.15s;
  cursor: pointer;
  padding: .45em 1em .55em;
  background: var(--button-color,transparent);
}

.btn > svg {
  transition: transform .2s ease-out;
  transform: translateX(0);
  width: 24px;
  height: 24px;
  color: var(--color-gray-400);
  margin-left: .5em;
}

.btn:not(:disabled):hover {
  text-decoration: none;
  background: var(--button-color--hover,#f1f1f1);
}

.btn:not(:disabled):active {
  --base-light: 20%;
  background: var(--button-color--active,#f1f1f1);
}

.btn:disabled {
  --background-effect: var(--color-gray);
  --enable-shadows: none;
  --btn-bg--state: 0;
  cursor: not-allowed;
  color: var(--color-gray-50);
  box-shadow: none;
  text-shadow: 1px 1px 2px var(--color-gray);
}

.skip {
  --base-opacity: 0;
  --enable-shadows: none;
  --btn-bg--state: transparent;
  color: var(--text-color, #555);
}

.btn--primary {
  --btn-bg--type: var(--base-primary);
  color: white;
}
.btn--primary:not(:disabled):hover {
  --base-light: 27.5%;
}
.btn--primary:not(:disabled):active {
  --base-light: 25%;
}

.btn--secondary {
  --btn-bg--type: var(--base-primary);
  --base-light: 95%;
  color: inherit;
}
.btn--secondary:not(:disabled):hover {
  --base-light: 92.5%;
}
.btn--secondary:not(:disabled):active {
  --base-light: 90%;
}

.btn--outline {
  --btn-bg--type: var(--base-primary);
  --base-light: 100%;
  color: inherit;
  border: 1px solid var(--color-gray-200);
}
.btn--outline:not(:disabled):hover {
  --base-light: 97.5%;
  border: 1px solid var(--color-gray-600);
}
.btn--outline:not(:disabled):active {
  --base-light: 95%;
}


.primary {
  --btn-bg--type: var(--base-primary);
}

.secondary {
  --btn-bg--type: var(--base-secondary);
}

.warning {
  --btn-bg--type: calc(var(--base-hue) + 30);
}

.action {
  --btn-bg--type: calc(var(--base-hue) + 120);
}

.btn--large {
  font-size: var(--bigger);
}

.btn--small {
  font-size: var(--text-xs);
}
